[SciPy-user] how to import umfpack?

Robin robince@gmail....
Mon Feb 11 10:41:37 CST 2008


On Feb 11, 2008 4:28 PM, Robert Cimrman <cimrman3@ntc.zcu.cz> wrote:
> Did it work on the other computer with some older version of scipy?
> Is there the umfpack proper installed, actually (libumfpack.a, or .so)?

I've had problems on the new install with 0.7.0.dev3912 and
0.7.0.dev3913. (on 64 bit linux)
It works for me on my latop - mac os x, 0.7.0.dev3913

I build libumfpack.a and scipy finds it and builds without errors.
useUmfPack is set to True, it just seems that dsolve doesn't have a
umfpack attribute.

Here is the relevant output from the distutils config:
  FOUND:
    libraries = ['amd']
    library_dirs = ['/home/robince/scipy_build/lib']
    swig_opts = ['-I/home/robince/scipy_build/lib/include']
    define_macros = [('SCIPY_AMD_H', None)]
    include_dirs = ['/home/robince/scipy_build/lib/include']

  FOUND:
    libraries = ['umfpack', 'amd']
    library_dirs = ['/home/robince/scipy_build/lib']
    swig_opts = ['-I/home/robince/scipy_build/lib/include',
'-I/home/robince/scipy_build/lib/include']
    define_macros = [('SCIPY_UMFPACK_H', None), ('SCIPY_AMD_H', None)]
    include_dirs = ['/home/robince/scipy_build/lib/include']

Robin


More information about the SciPy-user mailing list